<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <title>Media Player</title>
    <link rel="stylesheet" href="/css/themes/splide-default.min.css">
    <link rel="stylesheet" href="/css/splide-extension-video.min.css">
    <link rel="stylesheet" href="/css/splide.min.css">
    <link rel="stylesheet" href="/css/stylesheet.css">
    <script src="/js/splide-extension-video.min.js"></script>
    <script src="/js/splide.min.js"></script>
  </head>
  <body>
    <section id="slideshow" class="splide" aria-label="{{ slideshow.id }}">
      <div class="splide__track">
        <ul class="splide__list">
          {{#each slideshow.slides}}
            {{#if (eq this.type "image")}} 
              <li
                class="splide__slide"
                {{#if this.interval}}
                data-splide-interval="{{ this.interval }}"
                {{/if }}
              > 
                <img src="{{ this.src }}" alt="{{ this.alt }}">
              </li>
            {{else if (eq this.type "video")}} 
              <li
                class="splide__slide"
                data-splide-html-video="{{ this.src }}"
                {{#if this.interval}}
                data-splide-interval="{{ this.interval }}"
                {{/if}}
              >
              </li> 
            {{/if}} 
          {{/each}} 
        </ul>
      </div>
    </section>
  </body>
  <script>
    const splide = new Splide(
      '#slideshow',
      {
        type: 'fade',
        interval: 0,
        rewind: true,
        speed: 10000,
        interval: 5000, // Default interval
        start: 0,
        lazyLoad: 'nearby',
        arrows: false,
        pagination: false,
        autoplay: true,
        pauseOnHover: false,
        drag: true,
        rewindByDrag: true,
        keyboard: 'global',
        mouse: false,
        video: {
          loop: true,
          mute: true,
          autoplay: true,
          disableOverlayUI: true,
          hideControls: true,
          htmlVideo: {
            controls: false,
          },
        },
      }
    )

    splide.mount(window.splide.Extensions);

    // Get the autoplay component
    const autoplay = splide.Components.Autoplay;

    // Start the autoplay
    autoplay.play();
  </script>
</html>
